osgDB::ReaderWriter::WriteResult Class Reference

`#include <ReaderWriter>`

## Public Types

enum | WriteStatus { NOT_IMPLEMENTED , FILE_NOT_HANDLED , ERROR_IN_WRITING_FILE , FILE_SAVED }

## Public Member Functions

| WriteResult (WriteStatus status=FILE_NOT_HANDLED)
| WriteResult (const std::string &m)
| WriteResult (const WriteResult &rr)
WriteResult & | operator= (const WriteResult &rr)
bool | operator< (const WriteResult &rhs) const
std::string & | message ()
const std::string & | message () const
std::string | statusMessage () const
| Report the WriteResult's status, and message (if any). Useful for reporting of errors to users.
WriteStatus | status () const
bool | success () const
bool | error () const
bool | notHandled () const

## Protected Attributes

WriteStatus | _status
std::string | _message

## Member Enumeration Documentation

## WriteStatus

enum osgDB::ReaderWriter::WriteResult::WriteStatus

Enumerator
NOT_IMPLEMENTED | write*() method not implemented in concrete ReaderWriter.
FILE_NOT_HANDLED |
ERROR_IN_WRITING_FILE |
FILE_SAVED |

## Constructor & Destructor Documentation

## WriteResult() [1/3]

osgDB::ReaderWriter::WriteResult::WriteResult | ( | WriteStatus | status = FILE_NOT_HANDLED | ) |

inline

References _status, FILE_NOT_HANDLED, and status().

Referenced by operator<(), operator=(), and WriteResult().

## WriteResult() [2/3]

osgDB::ReaderWriter::WriteResult::WriteResult | ( | const std::string & | m | ) |

inline

References _message, _status, and ERROR_IN_WRITING_FILE.

## WriteResult() [3/3]

osgDB::ReaderWriter::WriteResult::WriteResult | ( | const WriteResult & | rr | ) |

inline

References _message, _status, and WriteResult().

## Member Function Documentation

## error()

bool osgDB::ReaderWriter::WriteResult::error | ( |  | ) | const

inline

References _status, and ERROR_IN_WRITING_FILE.

## message() [1/2]

std::string & osgDB::ReaderWriter::WriteResult::message | ( |  | ) |

inline

References _message.

## message() [2/2]

const std::string & osgDB::ReaderWriter::WriteResult::message | ( |  | ) | const

inline

References _message.

## notHandled()

bool osgDB::ReaderWriter::WriteResult::notHandled | ( |  | ) | const

inline

References _status, FILE_NOT_HANDLED, and NOT_IMPLEMENTED.

## operator<()

bool osgDB::ReaderWriter::WriteResult::operator< | ( | const WriteResult & | rhs | ) | const

inline

References _status, and WriteResult().

## operator=()

WriteResult & osgDB::ReaderWriter::WriteResult::operator= | ( | const WriteResult & | rr | ) |

inline

References _message, _status, and WriteResult().

## status()

WriteStatus osgDB::ReaderWriter::WriteResult::status | ( |  | ) | const

inline

References _status.

Referenced by WriteResult().

## statusMessage()

std::string osgDB::ReaderWriter::WriteResult::statusMessage | ( |  | ) | const

Report the WriteResult's status, and message (if any). Useful for reporting of errors to users.

## success()

bool osgDB::ReaderWriter::WriteResult::success | ( |  | ) | const

inline

References _status, and FILE_SAVED.

## Member Data Documentation

## _message

std::string osgDB::ReaderWriter::WriteResult::_message

protected

Referenced by message(), message(), operator=(), WriteResult(), and WriteResult().

## _status

WriteStatus osgDB::ReaderWriter::WriteResult::_status

protected

Referenced by error(), notHandled(), operator<(), operator=(), status(), success(), WriteResult(), WriteResult(), and WriteResult().

The documentation for this class was generated from the following file:

- ReaderWriter